Skip to navigation

Get StudySchema by ID

Get a single StudySchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

study_schema_idstringRequired
ID of the StudySchema.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
createdAtstring or nullOptional
creatorobjectOptional
descriptionstringOptional
A description of this study schema for documentation purposes.
entryTemplatesstringOptionalformat: "uri"
fieldDefinitionsstringOptionalformat: "uri"
idstringOptional
idGenerationModeenumOptional
How Study IDs are assigned for studies of this schema.
Allowed values:
isDesignApprovalRequiredbooleanOptional
modifiedAtstring or nullOptional
namestringOptional
organizationobjectOptional
prefixstring or nullOptional
studyTypeenumOptional
Allowed values:

Errors

400
Study Schema Get Request Bad Request Error
403
Study Schema Get Request Forbidden Error
404
Study Schema Get Request Not Found Error
429
Study Schema Get Request Too Many Requests Error
500
Study Schema Get Request Internal Server Error